org.keycloak.jose.jwe

## Class JWEKeyStorage

- java.lang.Object
- - org.keycloak.jose.jwe.JWEKeyStorage

-     public class JWEKeyStorage
      extends Object

  Author:
    Marek Posolda

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JWEKeyStorage.KeyUse`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JWEKeyStorage()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getCekBytes()`
    `Key` | `getCEKKey(JWEKeyStorage.KeyUse keyUse, boolean generateIfNotPresent)`
    `Key` | `getDecryptionKey()`
    `Key` | `getEncryptionKey()`
    `void` | `setCEKBytes(byte[] cekBytes)`
    `JWEKeyStorage` | `setCEKKey(Key key, JWEKeyStorage.KeyUse keyUse)`
    `JWEKeyStorage` | `setDecryptionKey(Key decryptionKey)`
    `JWEKeyStorage` | `setEncryptionKey(Key encryptionKey)`
    `void` | `setEncryptionProvider(JWEEncryptionProvider encryptionProvider)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JWEKeyStorage

          public JWEKeyStorage()

  - ### Method Detail

    - #### getEncryptionKey

          public Key getEncryptionKey()

    - #### setEncryptionKey

          public JWEKeyStorage setEncryptionKey(Key encryptionKey)

    - #### getDecryptionKey

          public Key getDecryptionKey()

    - #### setDecryptionKey

          public JWEKeyStorage setDecryptionKey(Key decryptionKey)

    - #### setCEKBytes

          public void setCEKBytes(byte[] cekBytes)

    - #### getCekBytes

          public byte[] getCekBytes()

    - #### setCEKKey

          public JWEKeyStorage setCEKKey(Key key,
                                         JWEKeyStorage.KeyUse keyUse)

    - #### getCEKKey

          public Key getCEKKey(JWEKeyStorage.KeyUse keyUse,
                               boolean generateIfNotPresent)

    - #### setEncryptionProvider

          public void setEncryptionProvider(JWEEncryptionProvider encryptionProvider)

Copyright © 2020 JBoss by Red Hat. All rights reserved.